using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Web;

namespace FotbalPortal.Models
{
    public class Club
    {
        public int id { get; set; }
        [Display(Name = "Název klubu")]
        public string name { get; set; }
        [Display(Name = "Země")]
        public int countryID { get; set; }
        public virtual Country country { get; set; }
        [Display(Name = "Soutěž")]
        public int? categoryID { get; set; }
        public virtual Category category { get; set; }
        [Display(Name = "Rok založení")]
        public int yearFounded { get; set; }
        [Display(Name = "Informace")]
        public string info { get; set; }
        [Display(Name = "E-mail")]
        public string email { get; set; }
        [Display(Name = "Telefon")]
        public string tel { get; set; }
        [Display(Name = "Adresa")]
        public string address { get; set; }
        [Display(Name = "Stadion")]
        public int stadiumID { get; set; }
        public virtual Stadium stadium { get; set; }
    }

    public class FavoriteClub
    {
        public int id { get; set; }
        public int userID { get; set; }
        public int clubID { get; set; }  
    }
}